// =============================================================
// Animation Schmetterling
// =============================================================
// Aufruf: <a href="javascript:animateButterfly()">Flieg, Schmetterling, flieg!</a>

    var firstTime = true;  // Noch einmal Fliegen!
    var flying = false;    // Er fliegt gerade!

    // =============================================================
    // Position nach Stylesheet # und Größe setzen
    // -------------------------------------------------------------
    function PosAndHeight(bfPos,bfHeight) {
      document.getElementById("butterflyDiv").className = bfPos;
      document.getElementById("butterflyImg").height    = bfHeight;
    }

    // =============================================================
    // Position x,y und Größe setzen
    function PosXYAndHeight(bfPosX,bfPosY,bfHeight) {
      var bfDiv = document.getElementById("butterflyDiv");
      var bfImg = document.getElementById("butterflyImg");
      bfDiv.style.left = bfPosX + "px";
      bfDiv.style.top  = bfPosY + "px";
      bfImg.height = bfHeight;
    }

    // =============================================================
    // Auf Ursprung zurücksetzen
    function resetButterfly() {
      // Style löschen -> Rückfall auf Stylesheet
      document.getElementById("butterflyDiv").style.left = "";
      document.getElementById("butterflyDiv").style.top = "";
      // Ursprungsgröße
      document.getElementById("butterflyImg").height = 80;
      flying = false;
    }

    // =============================================================
    // Schmetterling animieren
    function animateButterfly() {
      var timeBase = 0;

      // fliegt er grade nicht?
      if (!flying) {
        flying = true;

        // Nur beim ersten Mal
        if (firstTime) {
          //
          //Einzelne Schritte (nach Pfad im Stylesheet)
          //
          setTimeout('PosAndHeight("pos0", 82)',  100);
          setTimeout('PosAndHeight("pos1", 82)',  150);
          setTimeout('PosAndHeight("pos2", 82)',  210);
          setTimeout('PosAndHeight("pos3", 85)',  320);
          setTimeout('PosAndHeight("pos4", 90)',  430);
          setTimeout('PosAndHeight("pos5", 90)',  540);
          setTimeout('PosAndHeight("pos6", 90)',  650);
          setTimeout('PosAndHeight("pos7", 95)',  760);
          setTimeout('PosAndHeight("pos8", 90)',  870);
          setTimeout('PosAndHeight("pos9", 90)',  980);
          setTimeout('PosAndHeight("pos8", 80)', 1100);
          setTimeout('PosAndHeight("pos7", 90)', 1200);
          setTimeout('PosAndHeight("pos6", 99)', 1300);
          setTimeout('PosAndHeight("pos5", 90)', 1400);
          setTimeout('PosAndHeight("pos4", 90)', 1500);
          setTimeout('PosAndHeight("pos3", 85)', 1600);
          setTimeout('PosAndHeight("pos2", 84)', 1650);
          setTimeout('PosAndHeight("pos1", 82)', 1680);
          setTimeout('PosAndHeight("pos0", 80)', 1700);
          timeBase = 1800;
          //
          //Zufällig, aber nach Stylesheet
          //
          for (var i=0; i<=9; i++) {
            var callfn = "PosAndHeight(\"pos" + i + "\","
                                       + parseInt(80+Math.random()*30) + ")";
            setTimeout(callfn, timeBase);
            timeBase = timeBase + 100;
          }
          timeBase = 3000;
          for (var i=9; i>=0; i--) {
            var callfn = "PosAndHeight(\"pos" + i + "\","
                                       + parseInt(80+Math.random()*30) + ")";
            setTimeout(callfn, timeBase);
            timeBase = timeBase + 100;
          }
        }
        firstTime = false;
        //
        //Ganz zufällig
        //
        for (var i=1; i<=20; i++) {
          var callfn = "PosXYAndHeight("
                       + parseInt(200+Math.random()*100) + ","
                       + parseInt( 60+Math.random()*140) + ","
                       + parseInt( 80+Math.random()*30) + ")";
          setTimeout(callfn, timeBase);
          timeBase = timeBase + 100;
        }
        setTimeout('resetButterfly()',timeBase);
      }
      // flying = false; ist in resetButterfly();
    }
 
